<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."wordscramble/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."wordscramble/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."wordscramble/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."wordscramble/locale/German.php";
}

// Infusion general information
$inf_title = $locale['WRDSC_title'];
$inf_description = $locale['WRDSC_desc'];
$inf_version = $locale['WRDSC_version'];
$inf_developer = "MarcusG";
$inf_email = "";
$inf_weburl = "http://phpfusion.marcusg.de";

$inf_folder = "wordscramble"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = DB_WRDSCR." (
word_id SMALLINT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
word_cat VARCHAR(50) NOT NULL DEFAULT '',
word_word VARCHAR(50) NOT NULL DEFAULT '',
word_played MEDIUMINT(10) UNSIGNED NOT NULL DEFAULT '0',
word_solved MEDIUMINT(10) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY  (word_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_WRDSCR_SCORE." (
user_id SMALLINT(5) UNSIGNED NULL AUTO_INCREMENT,
user_played MEDIUMINT(10) UNSIGNED NOT NULL DEFAULT '0',
user_solved MEDIUMINT(10) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY  (user_id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_WRDSCR;
$inf_droptable[1] = DB_WRDSCR_SCORE;

$inf_adminpanel[1] = array(
	"title" => $locale['WRDSC_admin1'],
	"image" => "wordscramble.gif",
	"panel" => "wordscramble_admin.php",
	"rights" => "WSC"
);

$inf_sitelink[1] = array(
	"title" => $locale['WRDSC_link1'],
	"url" => "wordscramble.php",
	"visibility" => "101" // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.
);
?>