<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: new_infusion_admin.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."wordscramble/infusion_db.php";
error_reporting(E_ALL & ~E_NOTICE);

define("WRDSC", INFUSIONS."wordscramble/");
define("WRDSCIMG", WRDSC."images/");
define("WRDSCLOC", WRDSC."locale/");

add_to_head("<script type='text/javascript' src='".WRDSC."wrdscrmbl_js.js'></script>");

// Check if locale file is available matching the current site locale setting.
if (file_exists(WRDSCLOC.$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include WRDSCLOC.$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include WRDSCLOC."German.php";
}

if (iADMIN && checkrights("WSC")) {

opentable($locale['WRDSC_100']);

echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>";
echo "<tr>

<td width='50%' class='tbl2' align='center'><span class='small'><a class='small' href='".ADMIN."index.php".$aidlink."&amp;pagenum=4'><strong>".$locale['WRDSC_122']."</strong></a></span></td>

<td width='50%' class='tbl2' align='center'><span class='small'><a class='small' href='".WRDSC."wordscramble.php'><strong>".$locale['WRDSC_103']."</strong></a></span></td>

</tr>
</table><br />";

echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>";
echo "<tr class='tbl2'><td colspan='2' align='center'><strong>".$locale['WRDSC_100']."</strong></td></tr>";
echo "<tr class='tbl1'><td colspan='2' align='center'><strong>&nbsp;</strong></td></tr>";
echo "<tr class='tbl1'><td colspan='2' align='center'>";

$result = dbquery("SELECT * FROM ".DB_WRDSCR."");

	if ($step == "delete") {
		$result = dbquery("DELETE FROM ".DB_WRDSCR." WHERE word_id='$word_id'");
		echo "".$locale['WRDSC_101']."<br /><br /><a href='".FUSION_SELF."'><strong>".$locale['WRDSC_102']."</strong></a>";
		echo "</td></tr>";
		echo "</table>\n";
	} else {
	if (isset($_POST['save_word'])) {
		if ($_POST['word_cat'] != "" && $_POST['word_word'] != "") {
		$cat = stripinput($_POST['word_cat']);
		$word = stripinput($_POST['word_word']);
		$word_cat = strtoupper($cat);
		$word_word = strtoupper($word);
		if ($step == "edit") {
			$result = dbquery("UPDATE ".DB_WRDSCR." SET word_cat='$word_cat', word_word='$word_word' WHERE word_id='$word_id'");
		} else {
			$result = dbquery("INSERT INTO ".DB_WRDSCR." VALUES('', '$word_cat', '$word_word', '', '')");
		}
			echo "<center><strong><font color='green'>".$locale['WRDSC_116']."</font></strong><br /><br /><a href='".FUSION_SELF."'><input type='submit' value='".$locale['WRDSC_121']."' class='button'></a><br /><br /></center>";
	} else {
	echo "<center><img src='".WRDSCIMG."error.gif' width ='49' height='49' border='0' /><br /><br /><strong><font color='red'>".$locale['WRDSC_117']."</font></strong><br /><br /></center>";
	}
	}
	if ($step == "edit") {
		$result = dbquery("SELECT * FROM ".DB_WRDSCR." WHERE word_id='$word_id'");
		$data = dbarray($result);
		$word_cat = $data['word_cat'];
		$word_word = $data['word_word'];
		$formaction = "$PHP_SELF?step=edit&amp;word_id=$word_id";
		$button = "";
			echo "<table align='center' cellpadding='0' cellspacing='1' width='50%' class='tbl-border'>";
			echo "<tr class='tbl2'><td align='center' colspan='2'><strong>".$locale['WRDSC_104']."</strong></td></tr>";
			echo "<tr class='tbl1'><td align='center' colspan='2'>&nbsp;</td></tr>";
	} else {
		$formaction = "$PHP_SELF";
		$button = "&nbsp;&nbsp;&nbsp;<input type='reset' name='reset' value='".$locale['WRDSC_118']."' class='button'>";
			echo "<table align='center' cellpadding='0' cellspacing='1' width='50%' class='tbl-border'>";
			echo "<tr class='tbl2'><td align='center' colspan='2'><strong>".$locale['WRDSC_105']."</strong></td></tr>";
			echo "<tr class='tbl1'><td align='center' colspan='2'>&nbsp;</td></tr>";
	}
	
	
echo "<form name='addword' method='post' action='$formaction'>
<input type='hidden' name='word_id' value='".$data['word_id']."'>
<tr class='tbl1'>
<td width='130' align='right'>".$locale['WRDSC_001']."</td>
<td><input type='text' name='word_cat' value='$word_cat' class='textbox' style='width:250px;' maxlength='50'></td>
</tr>
<tr class='tbl1'>
<td width='130' align='right'>".$locale['WRDSC_109']."</td>
<td><input type='text' name='word_word' value='$word_word' class='textbox' style='width:250px;'></td>
</tr>
<tr class='tbl1'>
<td align='center' colspan='2'>
<input type='submit' name='save_word' value='".$locale['WRDSC_107']."' class='button'>".$button."</td>
</tr>
</form>\n";
echo "<tr class='tbl2'><td align='center' colspan='2'>&nbsp;</td></tr>";



		echo "<script>
function DeleteItem()
{
return confirm('".$locale['WRDSC_115']."');
}
</script>\n";

		echo "</table>\n";


if (isset($_GET['delallquote'])) {
$result = dbquery("UPDATE ".DB_WRDSCR." SET word_played='', word_solved=''");
//redirect("wordscramble_admin.php");
echo "<center><br /><br /><strong><font color='green'>".$locale['WRDSC_125']."</font></strong>&nbsp;&nbsp;<a href='wordscramble_admin.php'><input type='submit' value='OK' class='button'></a><br /><br /></center>";
}
if (isset($_GET['delquote'])) {
$result = dbquery("UPDATE ".DB_WRDSCR." SET word_played='', word_solved='' WHERE word_id='".$word_id."'");
//redirect("wordscramble_admin.php");
echo "<center><br /><br /><strong><font color='green'>".$locale['WRDSC_125']."</font></strong>&nbsp;&nbsp;<a href='wordscramble_admin.php'><input type='submit' value='OK' class='button'></a><br /><br /></center>";
}
if (isset($_GET['delallwords'])) {
$result = dbquery("TRUNCATE TABLE ".DB_WRDSCR."");
//redirect("wordscramble_admin.php");
echo "<center><br /><br /><strong><font color='green'>".$locale['WRDSC_127']."</font></strong>&nbsp;&nbsp;<a href='wordscramble_admin.php'><input type='submit' value='OK' class='button'></a><br /><br /></center>";
}

	
	if(!isset($start))
  {
    $start=0;
  }
  $order="SELECT * from ".DB_WRDSCR."";
  $order2=dbquery($order);
  $d=0;
  $f=0;
  $g=1;
	echo "<br />";
	echo "<table align='center' width='50%' cellspacing='0' cellpadding='0' class='tbl-border'>\n";
	echo "<tr class='tbl2'><td align='center' colspan='4'><strong>".$locale['WRDSC_114']."</strong> ( ".dbrows(dbquery("SELECT * from ".DB_WRDSCR.""))." )</td></tr>";
	echo "<tr class='tbl1'><td align='center' colspan='4'><br />".$locale['WRDSC_108']."";
  while($order3=dbarray($order2))
  {
    if($f%20==0)
    {
      echo "<a href='wordscramble_admin.php?start=".$d."'><span style='background-color:#C0C0C0; padding:0.2em; border-style:outset; border-width:0.2em;'><b>".$g."</b></span></a> ";
      $g++;
    }
    $d=$d+1;
    $f++;
  }
  echo "</td></tr>";
	echo "<tr class='tbl1'><td colspan='4'><hr class='side-hr'></td></tr>";
	$result = dbquery("SELECT * FROM ".DB_WRDSCR." ORDER BY word_cat, word_word ASC Limit $start, 20");
	if (dbrows($result) != 0) 
	{
		echo "<tr>
<td class='tbl2'><strong>".$locale['WRDSC_001']."</strong></td>
<td class='tbl2'><strong>".$locale['WRDSC_109']."</strong></td>
<td class='tbl2' align='right'><a href='".$FUSION_SELF."?delallquote' title='cssbody=[tbl1] cssheader=[tbl2] fade=[on] fadespeed=[0.04] offsetx=[-250] offsety=[-45] header=[".$locale['WRDSC_128']."] body=[".$locale['WRDSC_123']."]' onClick='return DeleteItem()'><strong>".$locale['WRDSC_021']."</strong></a></td>
<td align='right' width='60' class='tbl2'><strong>".$locale['WRDSC_110']."</strong></td>
</tr>";
		$i=0;//color
		while ($data = dbarray($result)) 
		{
		($data['word_played'] == 0 ) ? $prozente = "0" : $prozente = round((($data['word_solved']/$data['word_played'])*100),2);
		if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
			echo "<tr class='".$row_color."'>
				<td>".$data['word_cat']."</td>
				<td>".$data['word_word']."</td>
				<td align='right'><a href='".$FUSION_SELF."?delquote&amp;word_id=".$data['word_id']."' title='cssbody=[tbl1] cssheader=[tbl2] fade=[on] fadespeed=[0.04] offsetx=[-250] offsety=[-45] header=[".$locale['WRDSC_128']."] body=[".$locale['WRDSC_124']."]' onClick='return DeleteItem()'>".$data['word_played']."/".$data['word_solved']."/".$prozente."%</a></td>
				<td align='right' valign='top'>
				<a href='".$FUSION_SELF."?step=delete&amp;word_id=".$data['word_id']."' onClick='return DeleteItem()'>
				<img src='".WRDSCIMG."delete.gif' title='cssbody=[tbl1] cssheader=[tbl2] fade=[on] fadespeed=[0.04] offsetx=[-30] offsety=[-45] header=[".$locale['WRDSC_128']."] body=[".$locale['WRDSC_111']."]' alt='' border='0'></a>
				&nbsp;&nbsp;
				<a href='".$FUSION_SELF."?step=edit&amp;word_id=".$data['word_id']."'>
				<img src='".WRDSCIMG."edit.gif' title='cssbody=[tbl1] cssheader=[tbl2] fade=[on] fadespeed=[0.04] offsetx=[-30] offsety=[-45] header=[".$locale['WRDSC_128']."] body=[".$locale['WRDSC_112']."]' alt='' border='0'></a></td>
				</tr>";
		$i++;
		}
		echo "<tr class='tbl1'><td colspan='4'><hr class='side-hr'></td></tr>";
  $order="SELECT * from ".DB_WRDSCR."";
  $order2=dbquery($order);
  $d=0;
  $f=0;
  $g=1;
	  echo "<tr class='tbl1'><td align='center' colspan='4'>".$locale['WRDSC_108']."";
  while($order3=dbarray($order2))
  {
    if($f%20==0)
    {
      echo "<a href='wordscramble_admin.php?start=".$d."'><span style='background-color:#C0C0C0; padding:0.2em; border-style:outset; border-width:0.2em;'><b>".$g."</b></span></a> ";
      $g++;
    }
    $d=$d+1;
    $f++;
  }

	echo "</td></tr>";
	echo "<tr class='tbl1'><td colspan='4'><hr class='side-hr'></td></tr>";
	echo "<tr class='tbl1'><td align='center' colspan='4'><br /><a href='".$FUSION_SELF."?delallwords' title='".$locale['WRDSC_126']."' onClick='return DeleteItem()'><span style='background-color:#C0C0C0; padding:0.2em; border-style:outset; border-width:0.2em;'><strong>".$locale['WRDSC_126']."</strong></span></a><br /><br /></td></tr>";
	echo "</table>\n";
	}
	else 
	{
		echo '<tr>
				<td align="center">'.$locale['WRDSC_113'].'</td>
			</tr>
			</table>';
	}
	
echo "</td></tr>";
echo "</table>";
	closetable();
}
} else {
opentable($locale['WRDSC_119']);
echo "<br /><center><img src='".WRDSCIMG."restricted.png' width ='150' height='150' border='0' /><br /><strong>".$locale['WRDSC_120']."</strong><br /><br /><a href='".WRDSC."wordscramble.php'>".$locale['WRDSC_103']."</a></center><br />";
closetable();
}

/*Please do not remove following line.*/
	$string = " ".$locale['WRDSC_title']." ".$locale['WRDSC_version'];
	$copyright = "<div style='text-align: right;padding:5px;'><a href='http://phpfusion.marcusg.de' target='_blank' title=''><img src='".WRDSC."copyright.php?string=".$string."' border='0' alt='' title='&copy; ".showdate("%Y",time())." by MarcusG' style='height:18px;' /></a></div>";
	echo $copyright;
require_once THEMES."templates/footer.php";
?>